
\chapter{ Linear Regression \label{ch:lin-regr} } 

The equations in this appendix may be found in Taylor's Error Analysis, but they are provided here for the reader's convenience \cite{Taylor_Error_Analysis}. For the fits, the least-squares fit was done to calculate the $F_A$ and $F_B$ fit parameters for the line equation $y = F_A + F_B x$, using 

\begin{subequations} 
\begin{equation} 
F_A = \frac{1}{\Delta} \left( \sum x^2 \sum y - \sum x \sum x y \right) 
\end{equation} 
\begin{equation} 
F_B = \frac{1}{\Delta} \left( N \sum x y - \sum x \sum y \right) 
\end{equation} 
\begin{equation} 
\Delta = N \sum x^2 - \left( \sum x \right)^2 
\end{equation} 
\end{subequations} 

\noindent where $x$ and $y$ are the data samples, and $N$ is the number of data samples \cite{Taylor_Error_Analysis}. The $\Delta$ is a common factor for calculating both fit parameters, so it is factored out as its own term for convenience. \\

To find the uncertainties, $\sigma_A$ and $\sigma_B$, in the fit parameters $F_A$ and $F_B$, we used 

\begin{subequations} 
\begin{equation} 
\sigma_A = \sigma_y \sqrt{ \frac{\sum x^2}{\Delta} } 
\end{equation} 
\begin{equation} 
\sigma_B = \sigma_y \sqrt{ \frac{ N }{\Delta} } 
\end{equation} 
\begin{equation} 
\sigma_y = \sqrt{ \frac{1}{N - 2} \sum_{i = 1}^N \left( y_i - F_A - F_B x_i \right)^2 } 
\end{equation} 
\end{subequations} 

\noindent where $\sigma_y$ is the uncertainty in the measurements of $y$ given the fit parameters $F_A$ and $F_B$ \cite{Taylor_Error_Analysis}. Fitting a line to data samples that have large uncertainty in both $x$ and $y$ is controversial, but these equations work as long as the error in $x$ is much smaller than the error in $y$. \\

We also needed to find weighted averages in this thesis. From Taylor Chapter 7, section 2, ``Weighted Averages,'' a weighted average is taken by \cite{Taylor_Error_Analysis}: 

\begin{equation} 
x_{wav} = \frac{\sum w_i x_i}{\sum w_i} 
\end{equation} 

\noindent where $w_i$ is the weight of the $i$-th value, $x_i$, in the data set. The weight is defined as 

\begin{equation} 
w_i = \frac{1}{\sigma_i^2} 
\end{equation} 

\noindent where $\sigma_i$ is the uncertainty of $x_i$. Finally, the uncertainty of the weighted average itself is 

\begin{equation} 
\sigma_{wav} = \frac{1}{\sqrt{ \sum w_i }} . 
\end{equation} 
